Eclipse Rich Ajax Platform

## org.eclipse.rwt.application
Class ApplicationRunner

    java.lang.Object
      org.eclipse.rwt.application.ApplicationRunner

    public class ApplicationRunner

extends java.lang.Object

An `ApplicationRunner` is used to start an RWT application with the given `ApplicationConfiguration` in the given `ServletContext`.

In most cases, application developers don't have to use this class directly. Instead of this, the class `RWTServletContextListener` can be registered as a listener in the deployment descriptor (web.xml). In this case, the `ApplicationConfiguration` defined in the init-parameter `org.eclipse.rap.applicationConfiguration` will be started by the framework.

When a custom `ServletContextListener` is used, the `ApplicationRunner` is usually constructed and started in the `contextInitialized()` method and stopped in the `contextDestroyed()` method.

Since:
  1.5
See Also:
  `ApplicationConfiguration`, `RWTServletContextListener`, `javax.servlet.ServletContext`, `javax.servlet.ServletContextListener`

Field Summary
`static java.lang.String` `RESOURCES`

Constructor Summary
`ApplicationRunner(ApplicationConfiguration configuration, ServletContext servletContext)` Constructs a new instance of this class given an application configuration and the servlet context it is bound to.

Method Summary
`java.util.Collection<java.lang.String>` `getServletPaths()` Deprecated. This method is not part of the RAP API. It will be removed in future versions.
`void` `start()` Starts the application.
`void` `stop()` Stops the application if it is running.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### RESOURCES

    public static final java.lang.String RESOURCES

Constructor Detail

### ApplicationRunner

    public ApplicationRunner(ApplicationConfiguration configuration,
                             ServletContext servletContext)

  Constructs a new instance of this class given an application configuration and the servlet context it is bound to.

  Parameters:
    `configuration` - the configuration for the application to start. Must not be `null`.
    `servletContext` - the servlet context this application is bound to. Must not be `null`.

Method Detail

### start

    public void start()

  Starts the application.

  Throws:
    `java.lang.IllegalStateException` - if this application was already started.

### stop

    public void stop()

  Stops the application if it is running. Calling `stop()` on a non-running application does nothing.

### getServletPaths

    @Deprecated
    public java.util.Collection<java.lang.String> getServletPaths()

  Deprecated. This method is not part of the RAP API. It will be removed in future versions.

Eclipse Rich Ajax Platform

Copyright (c) EclipseSource and others 2002, 2012. All rights reserved.